Bug 804451

Summary: zenity depends on webkitgtk3
Product: [Fedora] Fedora Reporter: Kevin Kofler <kevin>
Component: zenityAssignee: Matthias Clasen <mclasen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 17CC: alekcejk, awilliam, kparal, mclasen, robatino
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedBlocker
Fixed In Version: zenity-3.2.0-4.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-21 18:46:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 661442, 804454    

Description Kevin Kofler 2012-03-18 21:38:39 UTC
Description of problem:
zenity-3.2.0-3.fc17 (which is dragged onto all spins as a dependency of Anaconda) adds a new dependency on webkitgtk3, which is 8.7 MiB xz-compressed (RPM size) + some dependencies. In particular, this made the KDE spin go oversize again (and we sure don't want webkitgtk3 on the KDE spin).

Version-Release number of selected component (if applicable):
zenity-3.2.0-3.fc17

How reproducible:
Always

Steps to Reproduce:
1. Install zenity.
  
Actual results:
Requires webkitgtk3.

Expected results:
Does not require webkitgtk3.

Additional info:
This dependency is used an optional zenity feature (--html and --url switches) which we never shipped before. It was added as part of an FTBFS fix, without being necessary to fix the build failure.

Comment 1 Fedora Update System 2012-03-19 13:58:17 UTC
zenity-3.2.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zenity-3.2.0-4.fc17

Comment 2 Adam Williamson 2012-03-19 21:30:32 UTC
Discussed at 2012-03-19 QA meeting, acting as a blocker review meeting - by policy we review 'indirect blockers' like this (bugs that do not directly block one of the blocker trackers, but do so through dependencies). This bug is accepted as a 'dependent blocker' of the parent #804454, as this is the chosen strategy to reduce the KDE image size. Theoretically, if this bug were not fixed but the KDE image size were reduced by other means, this status would be withdrawn.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Fedora Update System 2012-03-20 06:06:09 UTC
Package zenity-3.2.0-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zenity-3.2.0-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4236/zenity-3.2.0-4.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-03-21 18:46:16 UTC
zenity-3.2.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.